

// RAM Medication Structure
// - contains pointers to name in eeprom and color shape and specials in flash   
typedef struct {
    unsigned char name_num, color, shape, special1, special2;
} Medication;    
   

// RAM Dose structure    
// - contains a pointer to a medication in the Schedule                      
typedef struct {     
    unsigned char med_num, amount;
} Dose;    
      

// RAM Bin Structure
typedef struct {
    unsigned char hour, min, num_doses;
    Dose doses[5];
} Bin;     
        

// RAM Schedule Structure
// - meds and names are referenced by doses and meds respectively
typedef struct {
    unsigned char num_names, num_meds;
    char names[450];
    Medication meds[20];
    Bin bins[4];
} Schedule;  
     


// EEPROM version of Medication
typedef eeprom struct {
    eeprom unsigned char name_num, color, shape, special1, special2;
} eeprom_Medication;    
  
// EEPROM version of Dose                           
typedef eeprom struct {     
    eeprom unsigned char med_num, amount;
} eeprom_Dose;    
      
// EEPROM version of Bin
typedef eeprom struct {
    eeprom unsigned char hour, min, num_doses;
    eeprom_Dose doses[5];
} eeprom_Bin;     
    
// EEPROM version of Schedule       
typedef eeprom struct {
    eeprom unsigned char num_names, num_meds;
    eeprom char names[450];
    eeprom_Medication meds[20];
    eeprom_Bin bins[4];
} eeprom_Schedule; 
